--- old/usr/src/uts/common/sys/usb/usba/usba_private.h	Sun Apr 12 08:56:16 2015
+++ new/usr/src/uts/common/sys/usb/usba/usba_private.h	Sun Apr 12 08:56:16 2015
@@ -21,6 +21,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 #ifndef	_SYS_USB_USBA_USBA_PRIVATE_H
@@ -203,30 +205,6 @@
 	size_t			structlen);
 
 /*
- * For WUSB extended descriptors
- */
-size_t
-usb_parse_bos_descr(uchar_t	*buf,	/* from GET_DESCRIPTOR(BOS) */
-	size_t			buflen,
-	usb_bos_descr_t		*ret_descr,
-	size_t			ret_buf_len);
-
-size_t
-usb_parse_uwb_bos_descr(uchar_t	*buf,	/* from GET_DESCRIPTOR(BOS) */
-	size_t			buflen,
-	usb_uwb_cap_descr_t		*ret_descr,
-	size_t			ret_buf_len);
-
-size_t
-usb_parse_comp_ep_descr(uchar_t	*buf,	/* from GET_DESCRIPTOR(CONFIGURATION) */
-	size_t			buflen,
-	uint_t			if_number,
-	uint_t			alt_if_setting,
-	uint_t			ep_index,
-	usb_ep_comp_descr_t	*ret_descr,
-	size_t			ret_buf_len);
-
-/*
  * Returns pointer to the raw config cloud. The client should
  * not free this space.
  */
--- old/usr/src/uts/common/sys/usb/usba/usba_types.h	Sun Apr 12 08:56:16 2015
+++ new/usr/src/uts/common/sys/usb/usba/usba_types.h	Sun Apr 12 08:56:16 2015
@@ -20,6 +20,8 @@
  *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 #ifndef	_SYS_USB_USBA_USBA_TYPES_H
@@ -226,16 +228,6 @@
 } usb_client_dev_data_list_t;
 
 /*
- * wireless usb specific data
- */
-typedef struct usba_wireless_data {
-	uint8_t			*wusb_bos;	/* raw bos descr */
-	uint_t			wusb_bos_length; /* length of bos descr */
-	usb_uwb_cap_descr_t	*uwb_descr;	/* UWB capability descr */
-} usba_wireless_data_t;
-
-
-/*
  * This	structure uniquely identifies a USB device
  * with all interfaces,	or just one interface of a USB device.
  * usba_device is associated with a devinfo node
@@ -303,11 +295,6 @@
 	uchar_t			usb_n_cfgs;
 	uchar_t			usb_n_ifs;
 
-	/* To support WUSB */
-	boolean_t		usb_is_wa;
-	boolean_t		usb_is_wireless;
-	usba_wireless_data_t	*usb_wireless_data;
-
 	/*
 	 * power drawn from hub, if > 0, the power has been
 	 * subtracted from the parent hub's power budget
@@ -356,7 +343,6 @@
 
 _NOTE(MUTEX_PROTECTS_DATA(usba_device::usb_mutex, usba_device))
 _NOTE(MUTEX_PROTECTS_DATA(usba_device::usb_mutex, usba_evdata))
-_NOTE(MUTEX_PROTECTS_DATA(usba_device::usb_mutex, usba_wireless_data))
 
 _NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
 				usba_evdata::ev_rm_cb_id))
@@ -367,13 +353,6 @@
 _NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
 				usba_evdata::ev_resume_cb_id))
 
-_NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
-				usba_wireless_data::wusb_bos))
-_NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
-				usba_wireless_data::wusb_bos_length))
-_NOTE(SCHEME_PROTECTS_DATA("chg at attach only",
-				usba_wireless_data::uwb_descr))
-
 /* this should be really stable data */
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_serialno_str))
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_root_hub_dip))
@@ -405,9 +384,6 @@
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_client_attach_list))
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_client_ev_cb_list))
 _NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_dip))
-_NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_is_wireless))
-_NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_wireless_data))
-_NOTE(DATA_READABLE_WITHOUT_LOCK(usba_device::usb_is_wa))
 _NOTE(SCHEME_PROTECTS_DATA("set at device creation",
 					usba_device::usb_shared_taskq))
 
--- old/usr/src/uts/common/sys/usb/usbai.h	Sun Apr 12 08:56:16 2015
+++ new/usr/src/uts/common/sys/usb/usbai.h	Sun Apr 12 08:56:16 2015
@@ -21,6 +21,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 #ifndef	_SYS_USB_USBAI_H
@@ -445,114 +447,7 @@
 
 #define	USB_MAXSTRINGLEN	255		/* max string descr length */
 
-
 /*
- * usb_bos_descr:
- *	usb BOS descriptor, refer to WUSB 1.0/7.4.1
- */
-typedef struct usb_bos_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint16_t	wTotalLength;
-	uint8_t		bNumDeviceCaps;
-} usb_bos_descr_t;
-
-/*
- * usb_dev_cap_header:
- *	usb device capability descriptor header, refer to WUSB 1.0/7.4.1
- */
-typedef struct usb_cap_descr_header {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint8_t		bDevCapabilityType;
-} usb_cap_descr_header_t;
-
-typedef struct usb_cap_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;	/* set to DEVICE CAPABILITY */
-	uint8_t		bDevCapabilityType;
-	uint8_t		bCapValue[1];		/* variable length data */
-} usb_cap_descr_t;
-
-#define	USB_CAP_TYPE_WUSB	1
-
-/* Wireless USB device capability descriptor - UWB descriptor */
-typedef struct usb_uwb_cap_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint8_t		bDevCapabilityType;
-	uint8_t		bmAttributes;
-	uint16_t	wPHYRates;
-	uint8_t		bmTFITXPowerInfo;
-	uint8_t		bmFFITXPowerInfo;
-	uint16_t	bmBandGroup;
-	uint8_t		bReserved;
-} usb_uwb_cap_descr_t;
-
-/*
- * usb_ep_comp_descr:
- *	usb endpoint companion descriptor, refer to WUSB 1.0/7.4.4
- */
-typedef struct usb_ep_comp_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint8_t		bMaxBurst;
-	uint8_t		bMaxSequence;
-	uint16_t	wMaxStreamDelay;
-	uint16_t	wOverTheAirPacketSize;
-	uint8_t		bOverTheAirInterval;
-	uint8_t		bmCompAttributes;
-} usb_ep_comp_descr_t;
-
-/*
- * usb_security_descr:
- *	usb security descriptor, refer to WUSB 1.0/7.4.5
- */
-typedef struct usb_security_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint16_t	wTotalLength;
-	uint8_t		bNumEncryptionTypes;
-} usb_security_descr_t;
-
-/*
- * usb_encryption_descr:
- *	usb encryption descriptor, refer to WUSB 1.0/7.4.5
- */
-typedef struct usb_encryption_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint8_t		bEncryptionType;
-	uint8_t		bEncryptionValue;
-	uint8_t		bAuthKeyIndex;
-} usb_encryption_descr_t;
-
-#define	USB_ENC_TYPE_UNSECURE		0x00
-#define	USB_ENC_TYPE_WIRED		0x01
-#define	USB_ENC_TYPE_CCM_1		0x02
-#define	USB_ENC_TYPE_RSA_1		0x03
-
-/*
- * usb_key_descr:
- *	usb key descriptor, refer to WUSB 1.0/7.4.5
- */
-typedef struct usb_key_descr {
-	uint8_t		bLength;
-	uint8_t		bDescriptorType;
-	uint8_t		tTKID[3];
-	uint8_t		bReserved;
-	uint8_t		KeyData[1];	/* variable length */
-} usb_key_descr_t;
-
-#define	USB_EP_COMP_DESCR_SIZE		10
-#define	USB_BOS_DESCR_SIZE		5
-#define	USB_CAP_DESCR_HEADER_SIZE	3
-#define	USB_UWB_CAP_DESCR_SIZE		11
-#define	USB_SECURITY_DESCR_SIZE		5
-#define	USB_ENCRYPTION_DESCR_SIZE	5
-
-
-/*
  * ***************************************************************************
  * Client driver registration with USBA
  * ***************************************************************************
@@ -622,7 +517,6 @@
  */
 typedef struct usb_ep_data {
 	usb_ep_descr_t		ep_descr;	/* endpoint descriptor */
-	usb_ep_comp_descr_t	ep_comp_descr;	/* endpoint companion descr */
 	struct usb_cvs_data	*ep_cvs;	/* cv mod/extending this ep */
 	uint_t			ep_n_cvs;	/* #elements in ep_cvs[] */
 } usb_ep_data_t;
@@ -638,15 +532,6 @@
 
 
 /*
- * Data structure for wireless USB specific descriptor
- */
-typedef struct usb_bos_data {
-	usb_bos_descr_t		bos_descr;	/* parsed bos descr */
-	usb_uwb_cap_descr_t	bos_uwb_cap;	/* uwb cap descr */
-} usb_bos_data_t;
-
-
-/*
  *	Parse_level determines the extent to which the tree is built, the amount
  *	of parsing usb_client_attach() is to do.  It has the following values:
  *
@@ -691,7 +576,6 @@
 	uint_t			dev_n_cfg;	/* #elements in dev_cfg[] */
 	struct usb_cfg_data	*dev_curr_cfg;	/* current cfg */
 	int			dev_curr_if;	/* current interface number */
-	struct usb_bos_data	*dev_bos;	/* bos for this device */
 } usb_client_dev_data_t;
 
 
--- old/usr/src/uts/intel/Makefile.intel	Sun Apr 12 08:56:17 2015
+++ new/usr/src/uts/intel/Makefile.intel	Sun Apr 12 08:56:17 2015
@@ -456,7 +456,6 @@
 #	USB specific modules
 #
 DRV_KMODS	+= hid
-DRV_KMODS	+= hwarc hwahc
 DRV_KMODS	+= hubd
 DRV_KMODS	+= uhci
 DRV_KMODS	+= ehci
@@ -475,8 +474,6 @@
 DRV_KMODS	+= usbskel
 DRV_KMODS	+= usbvc
 DRV_KMODS	+= usbftdi
-DRV_KMODS	+= wusb_df
-DRV_KMODS	+= wusb_ca
 DRV_KMODS	+= usbecm
 
 #
@@ -637,9 +634,7 @@
 MISC_KMODS	+= qlc_fw_2500
 MISC_KMODS	+= qlc_fw_6322
 MISC_KMODS	+= qlc_fw_8100
-MISC_KMODS	+= hwa1480_fw
 MISC_KMODS	+= uathfw
-MISC_KMODS	+= uwba
 
 MISC_KMODS	+= klmmod klmops
 
--- old/usr/src/uts/intel/hid/Makefile	Sun Apr 12 08:56:17 2015
+++ new/usr/src/uts/intel/hid/Makefile	Sun Apr 12 08:56:17 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the hid driver kernel module.
 #
@@ -114,7 +115,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/scsa2usb/Makefile	Sun Apr 12 08:56:17 2015
+++ new/usr/src/uts/intel/scsa2usb/Makefile	Sun Apr 12 08:56:17 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the scsa2usb driver
 #	kernel module. intel architecture dependent
@@ -117,7 +118,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/ugen/Makefile	Sun Apr 12 08:56:17 2015
+++ new/usr/src/uts/intel/ugen/Makefile	Sun Apr 12 08:56:17 2015
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 
 #
 #	This makefile drives the production of the ugen driver
@@ -102,7 +103,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usb_ac/Makefile	Sun Apr 12 08:56:17 2015
+++ new/usr/src/uts/intel/usb_ac/Makefile	Sun Apr 12 08:56:17 2015
@@ -22,6 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/intel/usb_ac/Makefile
 #
 #	This makefile drives the production of the usb_ac driver
@@ -113,7 +115,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES	= $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES	= $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES	= $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES	= $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES	= $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usb_as/Makefile	Sun Apr 12 08:56:18 2015
+++ new/usr/src/uts/intel/usb_as/Makefile	Sun Apr 12 08:56:18 2015
@@ -22,6 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/sparc/usb_as/Makefile
 #
 #	This makefile drives the production of the usb_as driver
@@ -114,7 +116,7 @@
 #	lock_lint rules
 #
 USB_AS_FILES	= $(MODULE).ll
-USBA_FILES	= $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES	= $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES	= $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES	= $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES	= $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usb_ia/Makefile	Sun Apr 12 08:56:18 2015
+++ new/usr/src/uts/intel/usb_ia/Makefile	Sun Apr 12 08:56:18 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the usb_ia driver kernel module.
 #
@@ -105,7 +106,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usb_mid/Makefile	Sun Apr 12 08:56:18 2015
+++ new/usr/src/uts/intel/usb_mid/Makefile	Sun Apr 12 08:56:18 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the usb_mid driver kernel module.
 #
@@ -105,7 +106,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbecm/Makefile	Sun Apr 12 08:56:18 2015
+++ new/usr/src/uts/intel/usbecm/Makefile	Sun Apr 12 08:56:18 2015
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of Abstract Control Model of
 #	USB Communication Devices Class dirver.
@@ -94,7 +95,7 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/$(MODULE).wlcmd
 
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbftdi/Makefile	Sun Apr 12 08:56:18 2015
+++ new/usr/src/uts/intel/usbftdi/Makefile	Sun Apr 12 08:56:18 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the FT232R USB Serial
 #	Adapter driver.
@@ -97,7 +98,7 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/$(MODULE).wlcmd
 USBSER_FILES = $(USBSER_OBJS:%.o=../usbser/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbprn/Makefile	Sun Apr 12 08:56:18 2015
+++ new/usr/src/uts/intel/usbprn/Makefile	Sun Apr 12 08:56:18 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the usbprn driver kernel module.
 #
@@ -105,8 +106,7 @@
 #
 #	lock_lint rules
 #
-#USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbskel/Makefile	Sun Apr 12 08:56:19 2015
+++ new/usr/src/uts/intel/usbskel/Makefile	Sun Apr 12 08:56:19 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the usbskel driver kernel module.
 #
@@ -106,7 +107,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbsksp/Makefile	Sun Apr 12 08:56:19 2015
+++ new/usr/src/uts/intel/usbsksp/Makefile	Sun Apr 12 08:56:19 2015
@@ -23,6 +23,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/intel/usbsksp/Makefile
 
 #
@@ -99,7 +101,7 @@
 WARLOCK_CMD	= $(WLCMD_DIR)/usbser_keyspan.wlcmd
 
 USBSER_FILES = $(USBSER_OBJS:%.o=../usbser/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbsprl/Makefile	Sun Apr 12 08:56:19 2015
+++ new/usr/src/uts/intel/usbsprl/Makefile	Sun Apr 12 08:56:19 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the Prolific USB Serial
 #	Adapter driver.
@@ -96,7 +97,7 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/$(MODULE).wlcmd
 USBSER_FILES = $(USBSER_OBJS:%.o=../usbser/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/intel/usbvc/Makefile	Sun Apr 12 08:56:19 2015
+++ new/usr/src/uts/intel/usbvc/Makefile	Sun Apr 12 08:56:19 2015
@@ -23,6 +23,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 
 #
 #	This makefile drives the production of the usbvc driver kernel module.
@@ -114,7 +116,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/Makefile.sparc	Sun Apr 12 08:56:19 2015
+++ new/usr/src/uts/sparc/Makefile.sparc	Sun Apr 12 08:56:19 2015
@@ -277,7 +277,6 @@
 DRV_KMODS	+= usbskel
 DRV_KMODS	+= usbvc
 DRV_KMODS	+= usbftdi
-DRV_KMODS	+= wusb_df hwahc hwarc wusb_ca
 DRV_KMODS	+= usbecm
 DRV_KMODS	+= hci1394 av1394 scsa1394 dcam1394
 DRV_KMODS	+= sbp2
@@ -418,7 +417,6 @@
 MISC_KMODS	+= qlc_fw_6322
 MISC_KMODS	+= qlc_fw_8100
 MISC_KMODS	+= spuni
-MISC_KMODS	+= hwa1480_fw uwba
 MISC_KMODS	+= mii
 
 MISC_KMODS	+= klmmod klmops
--- old/usr/src/uts/sparc/hid/Makefile	Sun Apr 12 08:56:20 2015
+++ new/usr/src/uts/sparc/hid/Makefile	Sun Apr 12 08:56:20 2015
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the hid kernel driver.
 #
@@ -113,7 +114,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/scsa2usb/Makefile	Sun Apr 12 08:56:20 2015
+++ new/usr/src/uts/sparc/scsa2usb/Makefile	Sun Apr 12 08:56:20 2015
@@ -22,6 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/sparc/scsa2usb/Makefile
 #
 #	This makefile drives the production of the scsa2usb driver
@@ -113,7 +115,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/ugen/Makefile	Sun Apr 12 08:56:20 2015
+++ new/usr/src/uts/sparc/ugen/Makefile	Sun Apr 12 08:56:20 2015
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the ugen kernel driver.
 #
@@ -105,7 +106,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usb_ac/Makefile	Sun Apr 12 08:56:20 2015
+++ new/usr/src/uts/sparc/usb_ac/Makefile	Sun Apr 12 08:56:20 2015
@@ -22,6 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/sparc/usb_ac/Makefile
 #
 #	This makefile drives the production of the usb_ac driver
@@ -112,7 +114,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES	= $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES	= $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES	= $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES	= $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES	= $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usb_as/Makefile	Sun Apr 12 08:56:20 2015
+++ new/usr/src/uts/sparc/usb_as/Makefile	Sun Apr 12 08:56:20 2015
@@ -22,6 +22,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/sparc/usb_as/Makefile
 #
 #	This makefile drives the production of the usb_audio driver
@@ -110,7 +112,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES	= $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES	= $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES	= $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES	= $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES	= $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usb_ia/Makefile	Sun Apr 12 08:56:20 2015
+++ new/usr/src/uts/sparc/usb_ia/Makefile	Sun Apr 12 08:56:20 2015
@@ -24,6 +24,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 #	This makefile drives the production of the usb_ia driver kernel module.
 #	sparc architecture dependent
 #
@@ -103,7 +105,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usb_mid/Makefile	Sun Apr 12 08:56:21 2015
+++ new/usr/src/uts/sparc/usb_mid/Makefile	Sun Apr 12 08:56:21 2015
@@ -24,6 +24,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 #	This makefile drives the production of the usb_mid driver kernel module.
 #	sparc architecture dependent
 #
@@ -103,7 +105,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbecm/Makefile	Sun Apr 12 08:56:21 2015
+++ new/usr/src/uts/sparc/usbecm/Makefile	Sun Apr 12 08:56:21 2015
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of Abstract Control Model of
 #	USB Communication Devices Class dirver.
@@ -99,7 +100,6 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/$(MODULE).wlcmd
 
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbftdi/Makefile	Sun Apr 12 08:56:21 2015
+++ new/usr/src/uts/sparc/usbftdi/Makefile	Sun Apr 12 08:56:21 2015
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the FT232R USB Serial
 #	Adapter driver.
@@ -97,7 +98,7 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/$(MODULE).wlcmd
 USBSER_FILES = $(USBSER_OBJS:%.o=../usbser/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbprn/Makefile	Sun Apr 12 08:56:21 2015
+++ new/usr/src/uts/sparc/usbprn/Makefile	Sun Apr 12 08:56:21 2015
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the usbprn kernel driver.
 #
@@ -101,7 +102,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbskel/Makefile	Sun Apr 12 08:56:21 2015
+++ new/usr/src/uts/sparc/usbskel/Makefile	Sun Apr 12 08:56:21 2015
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the usbskel kernel driver.
 #
@@ -105,7 +106,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbsksp/Makefile	Sun Apr 12 08:56:21 2015
+++ new/usr/src/uts/sparc/usbsksp/Makefile	Sun Apr 12 08:56:21 2015
@@ -19,10 +19,11 @@
 # CDDL HEADER END
 #
 #
-#
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 # uts/sparc/usbsksp/Makefile
 
 
@@ -104,7 +105,7 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/usbser_keyspan.wlcmd
 USBSER_FILES = $(USBSER_OBJS:%.o=../usbser/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbsprl/Makefile	Sun Apr 12 08:56:22 2015
+++ new/usr/src/uts/sparc/usbsprl/Makefile	Sun Apr 12 08:56:22 2015
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 #	This makefile drives the production of the Prolific USB Serial
 #	Adapter driver.
@@ -102,7 +103,7 @@
 #
 WARLOCK_CMD	= $(WLCMD_DIR)/$(MODULE).wlcmd
 USBSER_FILES = $(USBSER_OBJS:%.o=../usbser/%.ll)
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
--- old/usr/src/uts/sparc/usbvc/Makefile	Sun Apr 12 08:56:22 2015
+++ new/usr/src/uts/sparc/usbvc/Makefile	Sun Apr 12 08:56:22 2015
@@ -23,6 +23,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
+#
 
 #
 # uts/sparc/usbvc/Makefile
@@ -112,7 +114,7 @@
 #
 #	lock_lint rules
 #
-USBA_FILES = $(USBA_WITHOUT_WUSB_OBJS:%.o=../usba/%.ll)
+USBA_FILES = $(USBA_OBJS:%.o=../usba/%.ll)
 UHCI_FILES = $(UHCI_OBJS:%.o=../uhci/%.ll)
 OHCI_FILES = $(OHCI_OBJS:%.o=../ohci/%.ll)
 EHCI_FILES = $(EHCI_OBJS:%.o=../ehci/%.ll)
